Package org.apache.felix.eventadmin.impl.tasks

## Class HandlerTask

- java.lang.Object
- - org.apache.felix.eventadmin.impl.tasks.HandlerTask

All Implemented Interfaces:
  `Runnable`

    public class HandlerTask
    extends Object
    implements Runnable

A task that processes an event handler

### Constructor Summary

Constructors
`HandlerTask​(EventHandlerProxy task, org.osgi.service.event.Event event, long timeout, DenylistLatch handlerLatch)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkForDenylist()` Check to see if we need to deny this handler
`void` `run()` Run Hander Event
`void` `runWithoutDenylistTiming()`
`boolean` `useTimeout()` This method defines if a timeout handling should be used for the task.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HandlerTask

    public HandlerTask​(EventHandlerProxy task,
                       org.osgi.service.event.Event event,
                       long timeout,
                       DenylistLatch handlerLatch)

Parameters:
  `task` - Proxy to the event handler
  `event` - The event to send to the handler
  `timeout` - Timeout for handler denying
  `handlerLatch` - The latch used to ensure events fire in proper order

### Method Detail

#### run

    public void run()

Run Hander Event

Specified by:
  `run` in interface `Runnable`

#### runWithoutDenylistTiming

    public void runWithoutDenylistTiming()

#### useTimeout

    public boolean useTimeout()

This method defines if a timeout handling should be used for the task.

Returns:
  Use timeout?

#### checkForDenylist

    public void checkForDenylist()

Check to see if we need to deny this handler